@import url('https://fonts.googleapis.com/css2?family=Inter&family=Public+Sans&family=Shadows+Into+Light&display=swap');

html, body {
    height: 100%;
}

body {
    background-color: #161616;
    margin: 0;

    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    display: flex;
    /* border: 1px solid white; */
    position: relative;

    height: 600px;
    width: 900px;

    background-color: #131313;

    border-radius: 25px;

    flex-direction: column;
}

.text {
    position: absolute;
    width: 100%;
    text-align: center;

    color: white;
}

h1, h2 {
    margin: 10px 0 0;
    
    font-family: "Inter";
    letter-spacing: 2px;
    font-size: 40px;
}

h1 {
    font-family: 'Shadows Into Light', cursive;
}

h2 {
    color: white;
    margin-bottom: 25px;
}

p {
    margin: 5px;
}

.text p {
    color: white;
    font-size: 17px;
    letter-spacing: 2px;
}

.top {
    pointer-events: none;
    height: 40%;

    background-image: url("https://amelix.xyz/wallpapers/2.jpg");
    background-position: 0 -20px;
    background-size: 100% 150%;
    background-color: black;

    opacity: 0.1;

    border-radius: inherit;
}

.bottom {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;

    width: 100%;

    flex-grow: 1;
}

.bottom p {
    color: #a1a1a1;
}

.input { 
    width: 50%; 
    margin-bottom: 10px; 
    background: #0000004d;
    border: none;
    outline: none;
    padding: 10px;
    font-size: 13px;
    color: #fff;
    text-shadow: 1px 1px 1px #0000004d;
    border: 1px solid #0000004d;
    border-radius: 4px;
    box-shadow: inset 0 -5px 45px #64646433, 0 1px 1px #ffffff33;
    -webkit-transition: box-shadow .5s ease;
    -moz-transition: box-shadow .5s ease;
    -o-transition: box-shadow .5s ease;
    -ms-transition: box-shadow .5s ease;
    transition: box-shadow .5s ease;
}

.input:focus { box-shadow: inset 0 -5px 45px #64646466, 0 1px 1px #ffffff33; }

.inline {
    display: inline
}

#error {
    color: #ff7575;
    font-size: 15px;
}

#success {
    color: #1c8a53;
    text-align: center;
}

b#email {
    color:red
}

a {
    text-decoration: none;
    color: #943131;
}

a:hover {
    cursor: pointer;
    text-decoration: underline;
}

a.button {
    display:inline-block;
    padding:0.7em 1.4em;
    margin:0 0.3em 1em 0;
    border-radius:0.15em;
    box-sizing: border-box;
    text-decoration:none;
    font-family:'Roboto',sans-serif;
    font-weight:400;
    color:#a5a5a5;
    background-color:#202020;
    box-shadow:inset 0 -0.6em 0 -0.35em rgba(0,0,0,0.17);
    text-align:center;
    position:relative;
    transition: all 0.15s;
    user-select: none;
    cursor: pointer;
}

a.button:active {
    top:0.1em;
}

a.button:hover {
    color:#FFFFFF;
    border-color:#FFFFFF;
}

a.button#create {
    background-color: #214d21;
}

@media all and (max-width:30em){
    input {
        width: 90%;
    }

    a.button{
        display:block;
        margin:0.4em auto !important;
    }
}